VPS侦探论坛

 找回密码
 注册
搜索
热搜: pathinfo
查看: 466|回复: 6

lnmp1.5升级openssl报错

[复制链接]
发表于 2018-12-21 19:51:10 | 显示全部楼层 |阅读模式


lnmp1.5升级openssl报错
openssl版本:OpenSSL_1_1_1a
Nginx版本:1.14.2
系统:Centos 7.6 x64
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2018-12-21 19:59:10 | 显示全部楼层

lnmp.conf截图和nginx升级日志:

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2018-12-25 22:14:13 | 显示全部楼层

大佬帮忙看一下啊qwq

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 2018-12-26 10:49:08 | 显示全部楼层



你自己改的路径都不对,不会改就直接改include/version.sh 中的版本号
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2018-12-27 22:43:45 | 显示全部楼层

我在把include/version.sh里的openssl版本改成1.1.1a依然安装失败。

还是得麻烦军哥帮忙看下

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 2018-12-28 10:43:52 | 显示全部楼层

回复 5# 的帖子


                 from /root/lnmp/src/lua-nginx-module-0.10.11/src/ddebug.h:13,
                 from /root/lnmp/src/lua-nginx-module-0.10.11/src/ngx_http_lua_module.c:11:
/root/lnmp/src/openssl-1.1.1a/.openssl/include/openssl/ssl.h:707:6: note: expected ‘struct SSL_SESSION * (*)(struct ssl_st *, const unsigned char *, int,  int *)’ but argument is of type ‘struct SSL_SESSION * (*)(struct SSL *, u_char *, int,  int *)’
void SSL_CTX_sess_set_get_cb(SSL_CTX *ctx,
      ^
cc1: all warnings being treated as errors
make[1]: *** [objs/addon/src/ngx_http_lua_module.o] Error 1

LuaNginxModule 模块版本改成 0.10.13
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2018-12-28 20:52:24 | 显示全部楼层

安装成功,非常感谢dalao!

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-4-25 18:54 , Processed in 0.047540 second(s), 27 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表